from PIL import Image
import numpy as np
from scipy import fftpack
import matplotlib.pyplot as plt

IMAGE_FILE_NAME = 'manual_tests/horizontal_ellipse'
image = np.array(Image.open(f'{IMAGE_FILE_NAME}.png').convert('L'))# / 255

# fft of image
fft1 = fftpack.fftshift(fftpack.fft2(image))

# save the image
#toDisplay = np.angle(fft1)
toDisplay = np.log10(1 + abs(fft1))
plt.imshow(toDisplay)
plt.show()
#plt.imsave(f'{IMAGE_FILE_NAME}_fft.png', toDisplay)